import 'package:flutter/material.dart';


class PasswordSubmitButton extends StatelessWidget {
  const PasswordSubmitButton({
    super.key,
    required this.isBusy,
    required this.onSubmit,
    required this.label,
  });

  final bool isBusy;
  final VoidCallback onSubmit;
  final String label;

  @override
  Widget build(BuildContext context) {
    return ElevatedButton.icon(
      onPressed: isBusy ? null : onSubmit,
      icon: const Icon(Icons.save_outlined),
      label: Text(label),
    );
  }
}
